KDE 4.6 PyKDE API Reference

- KDE's Python API

# CurrentLocationWidget Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

## Methods

| __init__ (self, QWidget parent=0, Qt::WindowFlags f=0)
| receiveGpsCoordinates (self, Marble.GeoDataCoordinates in, float speed)
| setAutoZoom (self, bool activate)
| setMarbleWidget (self, Marble.MarbleWidget widget)
| setRecenterMode (self, int activate)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::WindowFlags | f=0
| ) |  |  |

receiveGpsCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | in,
|  | float | speed
| ) |  |  |

setAutoZoom | ( | self, |
|  | bool | activate
| ) |  |  |

setMarbleWidget | ( | self, |
|  | Marble.MarbleWidget | widget
| ) |  |  |

Set a MarbleWidget associated to this widget.

Parameters:

  | widget | the MarbleWidget to be set.

setRecenterMode | ( | self, |
|  | int | activate
| ) |  |  |